---

name: Request For Comments (RFC)
about: Gather community feedback regarding a proposed change to the library
title: 'RFC: PROPOSAL HEADLINE'
labels: feature-request
assignees: ''
---_This issue is a Request For Comments (RFC). It is intended to elicit community feedback regarding a proposed change to the library. Please feel free to post comments or questions here._

## Summary

In one or two sentences, why should this change exist?

## Motivation

Why is this RFC needed? What will happen if accepted? And what would happen if it _isn't_ accepted?

## Basic Example

If the RFC involves a new or changed API, include a basic code example. (Omit if not applicable)

## Detailed Design

Provide enough detail on _how_ this should be implemented such that someone other than yourself could build it.
Include examples of how the implementation is used

## Drawbacks

- Is this a breaking change? Days/Weeks/Months to implement? Will it require extensive documentation & examples?

## Adoption Strategy

- What supporting efforts will be needed (e.g. documentation, tests, tutorials, public outreach, etc.)?

## Related Issues

Add GitHub issue numbers/URLs that informed or would be impacted by this proposal.

- #1234
- https://github.com/aws-amplify/amplify-js/issues/1234

## References

List articles, resources, prior art, and inspiration for this proposal.

- http://stackoverflow.com/
